Skip to main content
POST
/
emails
Send an email
curl --request POST \
  --url https://api.robase.dev/v1/emails \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "Team <hello@mail.shuttlers.ng>",
  "to": [
    "<string>"
  ],
  "subject": "<string>",
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "reply_to": [
    "<string>"
  ],
  "html": "<string>",
  "text": "<string>",
  "headers": {},
  "tags": [
    "<string>"
  ],
  "track_opens": true,
  "track_clicks": true,
  "send_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "queued"
}

Authorizations

Authorization
string
header
required

Pass your API key as Authorization: Bearer rb_live_...

Headers

Idempotency-Key
string

Body

application/json
from
string
required
Example:

"Team <hello@mail.shuttlers.ng>"

to
string[]
required
subject
string
required
cc
string[]
bcc
string[]
reply_to
string[]
html
string
text
string
headers
object
tags
string[]
track_opens
boolean
track_clicks
boolean
send_at
string<date-time>

Response

Queued.

id
string<uuid>
status
enum<string>
Available options:
queued,
scheduled,
sent,
delivered,
bounced,
complained,
cancelled,
failed